<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'staffrate',

    /*
     * Modules.
     */
    'modules'   => ['staffrate'],

    
    'staffrate'       => [
        'model' => [
            'model'                 => \Hrm\Staffrate\Models\Staffrate::class,
            'table'                 => 'staffrates',
            'presenter'             => \Hrm\Staffrate\Repositories\Presenter\StaffratePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'client_id',  'unit_id',  'job_id',  'employment_type',  's_week_day',  's_week_night',  's_friday_day',  's_friday_night',  's_saturday_day',  's_saturday_night',  's_sunday_day',  's_sunday_night',  's_holiday_day',  's_holiday_night',  's_week_sleep',  's_friday_sleep',  's_saturday_sleep',  's_sunday_sleep',  's_holiday_sleep',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'staffrate/staffrate',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Staffrate',
            'module'    => 'Staffrate',
        ],

    ],
];
