<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateStaffratesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: staffrates
         */
        Schema::create('staffrates', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('unit_id')->nullable();
            $table->integer('job_id')->nullable();
            $table->string('employment_type', 255)->nullable();
            $table->float('s_week_day')->nullable();
            $table->float('s_week_night')->nullable();
            $table->float('s_friday_day')->nullable();
            $table->float('s_friday_night')->nullable();
            $table->float('s_saturday_day')->nullable();
            $table->float('s_saturday_night')->nullable();
            $table->float('s_sunday_day')->nullable();
            $table->float('s_sunday_night')->nullable();
            $table->float('s_holiday_day')->nullable();
            $table->float('s_holiday_night')->nullable();
            $table->float('s_week_sleep')->nullable();
            $table->float('s_friday_sleep')->nullable();
            $table->float('s_saturday_sleep')->nullable();
            $table->float('s_sunday_sleep')->nullable();
            $table->float('s_holiday_sleep')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('staffrates');
    }
}
