<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for staffrate in staffrate package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  staffrate module in staffrate package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Staffrate',
    'names'         => 'Staffrates',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Staffrates',
        'sub'   => 'Staffrates',
        'list'  => 'List of staffrates',
        'edit'  => 'Edit staffrate',
        'create'    => 'Create new staffrate'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'client_id'                  => 'Please enter client id',
        'unit_id'                    => 'Please enter unit id',
        'job_id'                     => 'Please enter job id',
        'employment_type'            => 'Please enter employment type',
        's_week_day'                 => 'Please enter s week day',
        's_week_night'               => 'Please enter s week night',
        's_friday_day'               => 'Please enter s friday day',
        's_friday_night'             => 'Please enter s friday night',
        's_saturday_day'             => 'Please enter s saturday day',
        's_saturday_night'           => 'Please enter s saturday night',
        's_sunday_day'               => 'Please enter s sunday day',
        's_sunday_night'             => 'Please enter s sunday night',
        's_holiday_day'              => 'Please enter s holiday day',
        's_holiday_night'            => 'Please enter s holiday night',
        's_week_sleep'               => 'Please enter s week sleep',
        's_friday_sleep'             => 'Please enter s friday sleep',
        's_saturday_sleep'           => 'Please enter s saturday sleep',
        's_sunday_sleep'             => 'Please enter s sunday sleep',
        's_holiday_sleep'            => 'Please enter s holiday sleep',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'client_id'                  => 'Client id',
        'unit_id'                    => 'Unit id',
        'job_id'                     => 'Job id',
        'employment_type'            => 'Employment type',
        's_week_day'                 => 'S week day',
        's_week_night'               => 'S week night',
        's_friday_day'               => 'S friday day',
        's_friday_night'             => 'S friday night',
        's_saturday_day'             => 'S saturday day',
        's_saturday_night'           => 'S saturday night',
        's_sunday_day'               => 'S sunday day',
        's_sunday_night'             => 'S sunday night',
        's_holiday_day'              => 'S holiday day',
        's_holiday_night'            => 'S holiday night',
        's_week_sleep'               => 'S week sleep',
        's_friday_sleep'             => 'S friday sleep',
        's_saturday_sleep'           => 'S saturday sleep',
        's_sunday_sleep'             => 'S sunday sleep',
        's_holiday_sleep'            => 'S holiday sleep',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'client_id'                  => ['name' => 'Client id', 'data-column' => 1, 'checked'],
        'unit_id'                    => ['name' => 'Unit id', 'data-column' => 2, 'checked'],
        'job_id'                     => ['name' => 'Job id', 'data-column' => 3, 'checked'],
        'employment_type'            => ['name' => 'Employment type', 'data-column' => 4, 'checked'],
        's_week_day'                 => ['name' => 'S week day', 'data-column' => 5, 'checked'],
        's_week_night'               => ['name' => 'S week night', 'data-column' => 6, 'checked'],
        's_friday_day'               => ['name' => 'S friday day', 'data-column' => 7, 'checked'],
        's_friday_night'             => ['name' => 'S friday night', 'data-column' => 8, 'checked'],
        's_saturday_day'             => ['name' => 'S saturday day', 'data-column' => 9, 'checked'],
        's_saturday_night'           => ['name' => 'S saturday night', 'data-column' => 10, 'checked'],
        's_sunday_day'               => ['name' => 'S sunday day', 'data-column' => 11, 'checked'],
        's_sunday_night'             => ['name' => 'S sunday night', 'data-column' => 12, 'checked'],
        's_holiday_day'              => ['name' => 'S holiday day', 'data-column' => 13, 'checked'],
        's_holiday_night'            => ['name' => 'S holiday night', 'data-column' => 14, 'checked'],
        's_week_sleep'               => ['name' => 'S week sleep', 'data-column' => 15, 'checked'],
        's_friday_sleep'             => ['name' => 'S friday sleep', 'data-column' => 16, 'checked'],
        's_saturday_sleep'           => ['name' => 'S saturday sleep', 'data-column' => 17, 'checked'],
        's_sunday_sleep'             => ['name' => 'S sunday sleep', 'data-column' => 18, 'checked'],
        's_holiday_sleep'            => ['name' => 'S holiday sleep', 'data-column' => 19, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Staffrates',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
