Lavalite package that provides staffrate management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hrm/staffrate`.

    "hrm/staffrate": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hrm\Staffrate\Providers\StaffrateServiceProvider::class,

And also add it to alias

    'Staffrate'  => Hrm\Staffrate\Facades\Staffrate::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hrm\\StaffrateTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Staffrate\Providers\StaffrateServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Staffrate\Providers\StaffrateServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Staffrate\Providers\StaffrateServiceProvider" --tag="view"


## Usage


